aboutsummaryrefslogtreecommitdiff
path: root/ports/ffmpeg/build_linux.sh
diff options
context:
space:
mode:
authorRyan Saunders <saunders@aggienetwork.com>2019-04-10 23:07:17 -0700
committerRyan Saunders <saunders@aggienetwork.com>2019-04-10 23:07:17 -0700
commita492caf9d5a069987b6309c6cbf8e5cc8c3ec6a8 (patch)
tree11f6f1c5e3f4caa03f297162ffab9f79941f676c /ports/ffmpeg/build_linux.sh
parent80965287d1483f98f49ba83e026f022369798990 (diff)
parentb625cbf82f792409fa59262546cb5ed1ef7944e3 (diff)
downloadvcpkg-a492caf9d5a069987b6309c6cbf8e5cc8c3ec6a8.tar.gz
vcpkg-a492caf9d5a069987b6309c6cbf8e5cc8c3ec6a8.zip
Merge branch 'master' into query_deps
Diffstat (limited to 'ports/ffmpeg/build_linux.sh')
-rw-r--r--ports/ffmpeg/build_linux.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/ports/ffmpeg/build_linux.sh b/ports/ffmpeg/build_linux.sh
new file mode 100644
index 000000000..b24be1346
--- /dev/null
+++ b/ports/ffmpeg/build_linux.sh
@@ -0,0 +1,23 @@
+#!/usr/bin/bash
+set -e
+export PATH=/usr/bin:$PATH
+# Export HTTP(S)_PROXY as http(s)_proxy:
+if [ "$HTTP_PROXY" ]; then
+ export http_proxy=$HTTP_PROXY
+fi
+if [ "$HTTPS_PROXY" ]; then
+ export https_proxy=$HTTPS_PROXY
+fi
+
+PATH_TO_BUILD_DIR=$1
+PATH_TO_SRC_DIR=$2
+PATH_TO_PACKAGE_DIR=$3
+# Note: $4 is extra configure options
+
+cd "$PATH_TO_BUILD_DIR"
+echo "=== CONFIGURING ==="
+"$PATH_TO_SRC_DIR/configure" "--prefix=$PATH_TO_PACKAGE_DIR" $4
+echo "=== BUILDING ==="
+make -j6
+echo "=== INSTALLING ==="
+make install